--called at the start of a game, makes the objects in question
function initHost()

	--stage.createEmitter("bg_greenplanet", 1600, 1600)
	--emitter.upload()

	--stage.GFP("HUH")
	
	--make a couple of wreackagess
	for i = 1, 64 do
		cx = math.random(-stage.width, stage.width)
		cy = math.random(-stage.height, stage.height)
	
		wreck = ""
		roll = math.random(1,22)
		if roll == 7 then
			wreck = "station.png"
		elseif roll >= 8 and roll <= 8 then
			wreck = "station_turret1.png"
		elseif roll >= 9 and roll <= 9 then
			wreck = "station_turret2.png"
		elseif roll >= 10 and roll <= 11 then
			wreck = "stealthbomber.png"
		elseif roll >= 12 and roll <= 13 then
			wreck = "lamjet2.png"
		elseif roll >= 14 and roll <= 15 then
			wreck = "pakiceph.png"
		elseif roll >= 16 and roll <= 17 then
			wreck = "zukhov2.png"
		elseif roll >= 18 and roll <= 19 then
			wreck = "scrapper.png"
		elseif roll >= 20 and roll <= 21 then
			wreck = "scrapbomber.png"
		elseif roll == 22 then
			wreck = "battlecruiser.png"
		end

		--gfxname, x, y, layer, animated, gfxtype (0:ship 1:effect)
		stage.createSprite(wreck, cx, cy, 2, 0, 0)
		sprite.rot = math.random(0, 359)
		sprite.spin = (math.random() - .5) / 2
		--sprite.movrot = math.random(0, 359)
		--sprite.speed = math.random(20, 60)
		
		sprite.alpha = 1
		sprite.scale = 1
		--sprite.scale = ((math.random() / 2) +.5) * 2
		sprite.shade = 160
		
		sprite.dist = 1 + (i/12.0)
		sprite.x = sprite.x * sprite.dist
		sprite.y = sprite.y * sprite.dist
		
		--orbit the center of the map
		sprite.mass = 270
		sprite.maxVelocity = 60
		sprite.orbitx = cx
		sprite.orbity = cy

		--ooo sparklies
		--stage.createEmitter("comettrail")
		--emitter.dist = sprite.dist
		--emitter.interval = 1000
		--emitter.attach(sprite)
		--emitter.upload()
	end

	
	return 0
end